aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-send-email-report.sh
diff options
context:
space:
mode:
authorbuild.automotivelinux.org <jenkins@automotivelinux.org>2019-06-20 14:59:27 +0200
committerbuild.automotivelinux.org <jenkins@automotivelinux.org>2019-06-20 14:59:27 +0200
commit75b660105ba855baa4e14ae9d1dff91ac36aa87d (patch)
treed23f9b0330773be12df858a6ecbc4a3a0b5eedd5 /jjb/common/include-agl-send-email-report.sh
parente7e5abe204b4bb2808945bf6f7de7c09eb002016 (diff)
Fix the email report script
We run under set -e . Any non-zero return value will instantly stop execution. We cannot check for '0'. Please keep that in mind. Also fix the location of the ci artifacts. Bug-AGL: SPEC-2177 Signed-off-by: build.automotivelinux.org <jenkins@automotivelinux.org> Change-Id: Ib72ff3b13b3765f18dbce8a966c9e92a6a8ebb6b
Diffstat (limited to 'jjb/common/include-agl-send-email-report.sh')
-rw-r--r--jjb/common/include-agl-send-email-report.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/jjb/common/include-agl-send-email-report.sh b/jjb/common/include-agl-send-email-report.sh
index b8be71aa..84f18cc8 100644
--- a/jjb/common/include-agl-send-email-report.sh
+++ b/jjb/common/include-agl-send-email-report.sh
@@ -8,12 +8,11 @@
set -x
UPLOAD_URL_BASE=http://download.automotivelinux.org/AGL/upload/ci
-UPLOAD_URL=${UPLOAD_URL_BASE}/${GERRIT_CHANGE_NUMBER}/${GERRIT_PATCHSET_NUMBER}/qemux86-64/deploy/images/qemux86-64
+UPLOAD_URL=${UPLOAD_URL_BASE}/${GERRIT_CHANGE_NUMBER}/${GERRIT_PATCHSET_NUMBER}/qemux86-64/
-wget -q ${UPLOAD_URL}/build-info
-if [ $? != 0 ]; then
- exit 0
-fi
+set | grep MACH
+
+wget -q ${UPLOAD_URL}/build-info || exit 0
if [ ! -s build-info ]; then
exit 0